create table TEST_PROJECT_SCHEMA.ROUTE_LINK(
    ID                        BIGINT IDENTITY NOT NULL,
    LINKS_ORDER               INT NOT NULL,
    ROUTE_ID                  BIGINT NOT NULL,
    LINK_START_ID             BIGINT NOT NULL,
    LINK_END_ID               BIGINT NOT NULL
);

alter table  TEST_PROJECT_SCHEMA.ROUTE_LINK add FOREIGN KEY (ROUTE_ID)
    REFERENCES TEST_PROJECT_SCHEMA.ROUTE(ID);

alter table  TEST_PROJECT_SCHEMA.ROUTE_LINK add FOREIGN KEY (LINK_START_ID)
    REFERENCES TEST_PROJECT_SCHEMA.LINK(START_ID);

alter table  TEST_PROJECT_SCHEMA.ROUTE_LINK add FOREIGN KEY (LINK_END_ID)
    REFERENCES TEST_PROJECT_SCHEMA.LINK(END_ID);